<?php

include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
   $idinve = $_POST['idinv'];
     $centro = 1;
    $estatus = 2;
    $rfc1 = $_POST['rfc'];
    $appat = $_POST['apat'];
    $apmat = $_POST['amat'];
    $nombre = $_POST['noms'];
    $fecha = $_POST['anio'].'-'.$_POST['mes'].'-'.$_POST['dia'];
    $edoc = $_POST['edociv'];
    $domicilio = $_POST['dom'];
    $colonia = $_POST['col'];
    $sector = $_POST['sec'];
    $tipo_us=$_POST['tipo_usr'];
    $ciudad = $_POST['ciud'];
    if(empty($_POST['estado']))
    $estado = '0';
    else 
    $estado = $_POST['estado'];
    $pais = $_POST['pais'];
    $cp = $_POST['cp']; 
    $tel1 = $_POST['tel1'];
    $tel2 = $_POST['tel2'];
    $email = $_POST['email'];
    $sexo = $_POST['sexo'];
    $nocuenta = $_POST['cuenta'];
    $banco = $_POST['banco'];
    $estampa = date('Y-m-d');
    $califico = 'SI';
    $nomusr = $rfc;
    $psw = $_POST['psw1'];
    $rango = 3;
    
    
 function fechacomp($a,$m,$d)
	   		{
				$anio = $a;
				$mes = $m;
				$dia = $d;
				switch($mes) 
				{
					case '01': $mesnom="Enero"; break;
					case '02': $mesnom="Febrero"; break;
					case '03': $mesnom="Marzo"; break;
					case '04': $mesnom="Abril"; break;
					case '05': $mesnom="Mayo"; break;
					case '06': $mesnom="Junio"; break;
					case '07': $mesnom="Julio"; break;
					case '08': $mesnom="Agosto"; break;
					case '09': $mesnom="Septiembre"; break;
					case '10': $mesnom="Octubre"; break;
					case '11': $mesnom="Noviembre"; break;
					case '12': $mesnom="Diciembre"; break;
				}	    
				return "$dia de $mesnom de $anio";
			}   


   echo "<div style='width:500px; height:400px; padding-left:50px; padding-top:50px; background: url(logotransp2.gif)'>";
   echo "Tus datos actualizados son los siguientes: <br /> <br />";
   echo "<label style='color:#5C3C12'> Nombre: </label> $nombre $appat $apmat";
   echo "<br />";
   $fec = fechacomp($_POST['anio'],$_POST['mes'],$_POST['dia']);
   echo "<label style='color:#5C3C12'> Fecha de Nacimiento: </label> $fec";
   echo "<br />";
   $q1 = "SELECT descripcion FROM edociv WHERE idedociv ='$edoc'";
   $cn = mysql_query($q1);
   $row = mysql_fetch_row($cn);
   echo "<label style='color:#5C3C12'>Estado Civil:</label> $row[0]";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Domicilio:</label> $domicilio";
   echo ", colonia $colonia";
 
   if(!empty($sector))
   echo " Sector $sector";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Lugar:</label> $ciudad";
   $q1 = "SELECT descripcion FROM pais WHERE idpais ='$pais'";
   $cn = mysql_query($q1);
   $row = mysql_fetch_row($cn);
   $pais2 = $row[0];
   if ($estado != 0)
   {
    $q1 = "SELECT nombre FROM estados WHERE idestado ='$estado'";
    $cn = mysql_query($q1);
    $row = mysql_fetch_row($cn);
    echo ", $row[0]";
   }
   echo ", $pais2";
   echo "<br />";
   echo "<label style='color:#5C3C12'>C.P:</label> $cp";
   echo "<br />";
   echo "<label style='color:#5C3C12'>Tel1:</label> $tel1";
   if(!empty($tel2))
   {
   	echo "<br />";
   	echo "<label style='color:#5C3C12'>Tel2:</label> $tel2";
   }
   if(!empty($tel2))
   {
   	   echo "<br />";
  	   echo "<label style='color:#5C3C12'>E-mail: </label>$email";
   }
   if($sexo == 'M')
   {
   	echo "<br />";
    echo "<label style='color:#5C3C12'>Sexo:</label> Mujer";
   }
   else 
   {
   	echo "<br />";
    echo "<label style='color:#5C3C12'>Sexo:</label> Hombre";
   }
   if($banco != 0)
   {
   	$q1 = "SELECT nombre FROM banco WHERE idbanco ='$banco'";
    $cn = mysql_query($q1);
    $row = mysql_fetch_row($cn);
   	echo "<br />";   
   	echo "<label style='color:#5C3C12'>Banco:</label> $row[0]";
    echo "<br />";
    echo "<label style='color:#5C3C12'>No. de Cuenta:</label> $nocuenta";
   }

    echo "</div>";
   	
   $q1= "UPDATE inversionista SET rfc = '$rfc1', appat = '$appat', apmat = '$apmat', nombre = '$nombre', fecha_nac = '$fecha', edociv_idedociv = '$edoc', domicilio = '$domicilio', colonia = '$colonia', sector = '$sector', ciudad = '$ciudad', 
          estados_idestado = '$estado', pais_idpais = '$pais', cp = '$cp', tel1 = '$tel1', tel2 = '$tel2', email = '$email', sexo = '$sexo', nocuenta = '$nocuenta', 
          banco_idbanco = '$banco' ,vip = '$tipo_us' WHERE id_inver ='$idinve'";
	

        $consulta1 = mysql_query($q1) or die ('Err0: ' . mysql_error());

	
         if($consulta1) 
        	{
	             echo "<br /><br />";
	             echo "<hr>";
	             echo "<br><br>";
	             echo "Registro Modificado.";
	            
	             echo "<br><br>";	 
	         }
   
?>